<div @fadeIn *ngIf="combinedInfo && (!employeeErrorMsg || !employeeAddressErrorMsg)" class="user-info">

  <h2>EMPLOYEE INFORMATION</h2>

  <ng-container *ngIf="!employeeErrorMsg">
    <div class="info-field">
      <h3>FIRST NAME</h3>
      <p>{{combinedInfo.firstName}}</p>
    </div>
    <div class="info-field">
      <h3>LAST NAME</h3>
      <p>{{combinedInfo.lastName}}</p>
    </div>
  </ng-container>

  <ng-container *ngIf="!employeeAddressErrorMsg">
    <div class="info-field">
      <h3>STREET ADDRESS</h3>
      <p>{{combinedInfo.streetAddress}}</p>
    </div>
    <div class="info-field">
      <h3>CITY</h3>
      <p>{{combinedInfo.city}}</p>
    </div>
  </ng-container>

</div>

<app-error *ngIf="employeeErrorMsg" [message]="employeeErrorMsg"></app-error>
<app-error *ngIf="employeeAddressErrorMsg" [message]="employeeAddressErrorMsg"></app-error>
